#include <iostream>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    int n, k;
    cin >> n >> k;

    int cnt = 0;
    for (int i = 1; i <= n; i++) {
        int x;
        cin >> x;

        if (x) cnt++;
    }

    if (cnt >= k) cout << 1;
    else cout << 0;
    return 0;
}
